import {
	GetUsernameUuidOptions,
	getUsernameUuid,
	InvalidArgumentTypeError,
} from '@modal-sh/minecraft-uuid-core';

export interface UuidService {
	getUsernameUuid(options: GetUsernameUuidOptions): Promise<string>;
}

export class UuidServiceImpl implements UuidService {
	async getUsernameUuid(options: GetUsernameUuidOptions) {
		return getUsernameUuid(options);
	}
}

export {
	InvalidArgumentTypeError,
};
